import request from "@/utils/request";

// 查询测试数据生成管理列表
export function listTest(query) {
  return request({
    url: "/dataGen/test/list",
    method: "get",
    params: query,
  });
}

// 查询测试数据生成管理详细
export function getTest(id) {
  return request({
    url: "/dataGen/test/" + id,
    method: "get",
  });
}

// 新增测试数据生成管理
export function addTest(data) {
  return request({
    url: "/dataGen/test",
    method: "post",
    data: data,
  });
}

// 修改测试数据生成管理
export function updateTest(data) {
  return request({
    url: "/dataGen/test",
    method: "put",
    data: data,
  });
}

// 删除测试数据生成管理
export function delTest(id) {
  return request({
    url: "/dataGen/test/" + id,
    method: "delete",
  });
}

// 测试模型数据生成getOptions
export function getTestModelOptions() {
  return request({
    url: "/dataGen/test/getOptions",
    method: "get",
  });
}
